NFSSVC(2)

NAME
nfssvc, async_daemon - NFS daemons

SYNOPSIS
nfssvc (sock)
int sock;

async_daemon()

DESCRIPTION

nfssvc() starts an NFS daemon listening on socket sock. The socket must be AF_INET, and SOCK_DGRAM (protocol UDP/IP). The system call will return only if the socket is invalid.

async_daemon() implements the NFS daemon that handles asynchronous I/O for an NFS client. This system call never returns.

Both system calls result in kernel-only processes with user memory discarded.

SEE ALSO
mountd(8C)

BUGS

There should be a way to dynamically create kernel-only processes instead of having to make system calls from userland to simulate this.